common.hpp File Reference

Commonly used functionality. More...

`#include "libpmemobj++/detail/pexceptions.hpp"`
`#include "libpmemobj/tx_base.h"`
`#include <typeinfo>`
Include dependency graph for common.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | pmem::obj::persistent_ptr< T >
| Persistent pointer class. More...

## Detailed Description

Commonly used functionality.